JPEGORIENT(1)

NAME
jpegorient - change the orientations of JPEG images

SYNOPSIS
jpegorient { -90 | -180 | -270 | -v | -h } image-file ...

DESCRIPTION
This is a simple utility for changing the orientations of one or more JPEG images. It is provided as part of the image conversion and transformation plugins for Konqueror.

A single option must be passed before any filenames to specify how the orientations of the images are to be changed. Each new image will be saved over the old one.

This utility makes use of orient.py(1), which is designed to work with certain types of digital camera image files. Instead of modifying the image data, it alters the EXIF tags stored with the image to reflect the new orientation. For this reason only images with the correct types of EXIF tags can be changed using this tool.

This utility is part of the official KDE add-ons module.

OPTIONS

-90 Rotate each image by 90 degrees clockwise.

-180
    Rotate each image by a half turn (i.e., 180 degrees).

-270
    Rotate each image by 270 degrees clockwise (i.e., 90 degrees counter-clockwise).

-v  Flip each image vertically.

-h  Flip each image horizontally.

SEE ALSO
exif.py(1), konqueror(1), orient.py(1).

AUTHOR
The image transformation plugins were written by Leif Jensen <jensen@math.columbia.edu>.
This manual page was prepared by Ben Burton <bab@debian.org> for the Debian GNU/Linux system (but may be used by others).